Subject: I-D Action: draft-enhanced-xml-digital-signature-algorithm-00.txt

From: [email-masked]
Date: Thu, 10 Jan 2019 21:29:43 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Enhanced XML Digital Signature Algorithm to Mitigate  Wrapping Attacks
        Authors         : Jitendra Kumar
                          Balaji Rajendran
                          Bindhumadhava BS
	Filename        : draft-enhanced-xml-digital-signature-algorithm-00.txt
	Pages           : 11
	Date            : 2019-01-10

Abstract:
   XML signature standard as described in [RFC3275] and defined by IETF/
   W3C references or identifies signed elements by their unique
   identities in the given XML document.  Hence, signed XML elements can
   be shifted from one location to another location in a XML
   document,and still, it does not have any effect on its ability to
   verify its signature.  This flexibility paves the way for an attacker
   to tweak original XML message without getting noticed by the
   receiver.  This document proposes to use absolute XPath as an
   "Positional Token" and modifies existing XML Digital Signature
   algorithm to overcome the XML Signature wrapping/rewriting attacks on
   XML ignatures.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-enhanced-xml-digital-signature-algorithm/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-enhanced-xml-digital-signature-algorithm-00
https://datatracker.ietf.org/doc/html/draft-enhanced-xml-digital-signature-algorithm-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/